Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.chataddin
Class AddInLoaderManger

    java.lang.Object
      |
      +--com.objexcel.chataddin.AddInLoaderManger

public final class AddInLoaderManger
extends java.lang.Object

Your addins need to register themselves the AddInLoaderManager before they will be used to load/run an addin. Design based on the JDBC DriverManger pattern.

Constructor Summary
`AddInLoaderManger()`

Method Summary
`static void` | `deregisterAddInLoader(IAddInLoader sl)` remove a addin loader
`static void` | `loadAddIn(java.lang.String type, java.lang.String name, ZipClassLoader cl)` as in runAddIn but 'load' it instead.
`static void` | `registerAddInLoader(IAddInLoader sl)` add a addin loader
`static void` | `runAddIn(java.lang.String type, IAddInApp context, ZipClassLoader cl)` browse through our addin loaders to find one that accepts the addin then use it to run the addin with the specified context

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddInLoaderManger

    public AddInLoaderManger()

Method Detail

### registerAddInLoader

    public static void registerAddInLoader(IAddInLoader sl)

  add a addin loader

### deregisterAddInLoader

    public static void deregisterAddInLoader(IAddInLoader sl)

  remove a addin loader

### runAddIn

    public static void runAddIn(java.lang.String type,
                                IAddInApp context,
                                ZipClassLoader cl)

  browse through our addin loaders to find one that accepts the addin then use it to run the addin with the specified context
  Throws:
    java.lang.RuntimeException - if a suitable loader not found

### loadAddIn

    public static void loadAddIn(java.lang.String type,
                                 java.lang.String name,
                                 ZipClassLoader cl)

  as in runAddIn but 'load' it instead.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD